# GimpUi.Dialog.add_button

    @accepts(GimpUi.Dialog, unicode, int)
    @returns(Gtk.Widget)
    def add_button(self, button_text, response_id):
        # Python wrapper for gimp_dialog_add_button()

This function is essentially the same as gtk_dialog_add_button() except it ensures there is only one help button and automatically sets the RESPONSE_OK widget as the default response.

self

  The self to add a button to.

button_text

  text of button, or stock ID.

response_id

  response ID for the button.

Returns